# James' myDateTime.py  Standard Core
# Chapter 6 page 67-69

# import keyword
#import datetime # import MODULE

# from MODULE import CLASS
#from datetime import datetime

# import MODULE as NAMESPACE
import datetime as dt


# Get the current system date
current_datetime = dt.datetime.now()
print(
    "Current System DateTime: ", # string
    current_datetime
) # current_datetime (closing comment)

# Get the date from a source
bd_month = input("Enter your birth month(mm):  ") # "12"
bd_day = input("Enter your birth day(dd):  ") # "30"
bd_year = input("Enter your birth year(yyyy):  ") # "1599"

# format the user inputs as a valid datetime type
birthday_dt = dt.datetime(int(bd_year), int(bd_month), int(bd_day))  # (year,month,day)
print(
    type(
        birthday_dt
        )
    )  # datetime NOT string or int
print(birthday_dt)

# format using strftime()
# 2024-05-03 1):40:25.978794  YYYY-MM-DD HH:SS.MMMMMM  
myformatdate = current_datetime.strftime(
    "%m-%d-%Y"
)
print(myformatdate)

# Add days to calculate due date
# Invoice date + Net 30 terms
due_date = current_datetime + dt.timedelta(days=30)
print("Due Date: ", due_date) # Due Date:  2024-06-02 10:49:22.466069

#  This would be my add on: myformattime = current_datetime.strftime(

# )