# James' OS Module myOS.py 
# standard libs use import keyword, installed when you install Python

import os #  libs syntax  {}  lower level module

# env variables is the current working dir
def myCWD():
    current_directory = os.getcwd()
    print("------")
    print("Current Directory Path: ", current_directory)
    print("------")
    # List files and directories in a path
    files = os.listdir(current_directory) # ["file1", "file2",...]
    for file in files:
        print(file)

myCWD()

# Set a directory as cwd
# cd chapter6 from the terminal
new_path ="c:/Users/Student/Documents/pythonLevel2/Chapter6/"
os.chdir(new_path)

# create a folder called chapter6logs in chapter6
os.mkdir("chapter6logs")

myCWD()