# mysubprocess.py
# subprocess module page 71

import subprocess #Standard Library

# command to run in the subprocess
ping_command = "ping google.com" # run() cmd and powershell command
open_notepad = "notepad.exe" # Popen() applications
kill_notepad = ['taskkill', '/F', '/IM', 'notepad.exe']  # /F for force, /IM for immediately

# cmd prompt to run() ping_command
ping_result = subprocess.run(
    ["powershell",
    "-Command",
    ping_command],
    shell=True, # :bool True or False
    stdout=subprocess.PIPE, # 0 successful
    stderr=subprocess.PIPE, # 1 failure
    text=True
)
'''
if ping_result == 0:
    print("Command Executed Successfully")
    print("----------- OUTPUT ----------")
    print(ping_result.stdout)  # terminal
else:
    print("Command Executed Failed")
    print("----------- OUTPUT ----------") 
    print(ping_result.stderr)  # terminal
'''    

# open an executable with Popen()
subprocess.Popen(open_notepad)

# timer to have notepad open for 5 seconds
import time
time.sleep(5)

# kill notepad
subprocess.run(kill_notepad)

# scheduler
# pip install scheduler
def job():  #import scheduler
    pass # run your script (insert code here)  pypi.org  scheduler

# schedule.every().hour.do(myjob1)
